# $Revision: 1.7 $, $Date: 2010/07/09 10:08:31 $
#
# Conditional build:
%bcond_without	apidocs		# don't build API documentation
%bcond_without	python		# don't build python libraries
#
Summary:	Beagle C interface
Summary(pl.UTF-8):	Interfejs w C do Beagle
Name:		libbeagle
Version:	0.3.9
Release:	3
License:	MIT
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libbeagle/0.3/%{name}-%{version}.tar.bz2
# Source0-md5:	af1e25bdfb704ee87047bc49a73fbb10
Patch0:		%{name}-am.patch
URL:		http://beagle-project.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 1:2.6.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.0}
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.19
BuildRequires:	pkgconfig
%if %{with python}
BuildRequires:	python-devel
BuildRequires:	python-pygobject-devel >= 2.6.0
BuildRequires:	python-pygtk-devel >= 2:2.6.0
BuildRequires:	rpm-pythonprov
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Beagle C interface.

%description -l pl.UTF-8
Interfejs w C do Beagle.

%package devel
Summary:	Header files for libbeagle library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libbeagle
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.6.0
Requires:	libxml2-devel >= 1:2.6.19

%description devel
Header files for libbeagle library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libbeagle.

%package static
Summary:	Static libbeagle library
Summary(pl.UTF-8):	Statyczna biblioteka libbeagle
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libbeagle library.

%description static -l pl.UTF-8
Statyczna biblioteka libbeagle.

%package apidocs
Summary:	libbeagle API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libbeagle
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libbeagle API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libbeagle.

%package examples
Summary:	libbeagle - example programs
Summary(pl.UTF-8):	libbeagle - przykładowe programy
Group:		Libraries

%description examples
libbeagle - example programs.

%description examples -l pl.UTF-8
libbeagle - przykładowe programy.

%package -n python-beagle
Summary:	Beagle Python bindings
Summary(pl.UTF-8):	Wiązania języka Python dla Beagle
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq  python-libs

%description -n python-beagle
Beagle Python bindings.

%description -n python-beagle -l pl.UTF-8
Wiązania języka Python dla Beagle.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_apidocs:--enable-gtk-doc} \
	--with-html-dir=%{_gtkdocdir}

%{__make} \
	pythondir=%{py_sitedir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pythondir=%{py_sitedir}

cp examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{with python}
rm -f $RPM_BUILD_ROOT%{py_sitedir}/beagle/beagle.{a,la}
%py_postclean
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libbeagle.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbeagle.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbeagle.so
%{_libdir}/libbeagle.la
%{_includedir}/libbeagle
%{_pkgconfigdir}/libbeagle-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libbeagle.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/beagle
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/libbeagle-%{version}

%if %{with python}
%files -n python-beagle
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/beagle/beagle.so
%dir %{py_sitedir}/beagle
%{py_sitedir}/beagle/*.py[co]
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libbeagle.spec,v $
Revision 1.7  2010/07/09 10:08:31  arekm
- release 3

Revision 1.6  2009/11/29 01:00:10  sparky
- BR: docbook-dtd412-xml, rpm-pythonprov

Revision 1.5  2009/06/21 12:09:32  hawk
- fixed install stage, release 2

Revision 1.4  2009/05/14 10:42:28  megabajt
- updated to 0.3.9

Revision 1.3  2008/10/06 13:59:14  megabajt
- release 2

Revision 1.2  2008/04/08 18:33:45  patrys
- 0.3.5.1

Revision 1.1  2007-12-31 19:46:14  megabajt
- new

